package com.gh.gamecenter.core.provider

import android.content.Context
import android.content.Intent


interface ISettingProvider {

    fun getSettingIntent(context: Context, isUpdate: Boolean, entrance: String): Intent?

    fun getSecurityIntent(context: Context, entrance: String, isLogoutStyle: Boolean): Intent?

    fun getBindPhoneNormalIntent(context: Context, isChangePhone: Boolean): Intent?

    fun getAboutIntent(context: Context?, isUpdate: Boolean): Intent?

}